Fri, 23 Apr 2021 07:43:47 UTC

Information for RPM perl-Params-Coerce-0.14-11.el5.noarch.rpm

ID2958249
Nameperl-Params-Coerce
Version0.14
Release11.el5
Epoch
Archnoarch
SummaryAllows your classes to do coercion of parameters
DescriptionA big part of good API design is that we should be able to be flexible in the ways that we take parameters. Params::Coerce attempts to encourage this, by making it easier to take a variety of different arguments, while adding negligible additional complexity to your code.
Build Time2012-02-15 23:57:09 GMT
Size25,687
cae48d512972107004b3624ad698317c
LicenseGPL+ or Artistic
Buildrootdist-5E-epel-build-1269930-202294
Provides
perl(Params::Coerce) = 0.14
perl-Params-Coerce = 0.14-11.el5
Obsoletes No Obsoletes
Conflicts No Conflicts
Requires
perl >= 0:5.005
perl(:MODULE_COMPAT_5.8.8)
perl(Carp)
perl(Params::Util)
perl(Scalar::Util)
perl(strict)
perl(vars)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1
Recommends No Recommends
Suggests No Suggests
Supplements No Supplements
Enhances No Enhances
Files
1 through 7 of 7
Name ascending sort Size
/usr/lib/perl5/vendor_perl/5.8.8/Params4,096
/usr/lib/perl5/vendor_perl/5.8.8/Params/Coerce.pm11,590
/usr/share/doc/perl-Params-Coerce-0.144,096
/usr/share/doc/perl-Params-Coerce-0.14/Changes1,238
/usr/share/doc/perl-Params-Coerce-0.14/LICENSE20,217
/usr/share/doc/perl-Params-Coerce-0.14/README8,032
/usr/share/man/man3/Params::Coerce.3pm.gz4,873
Component of No Buildroots